[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
RE: [wtp-dev] WTP has been added to the Eclipse main update site


I tried it and it seemed to work fine ... did you happen to install to another location (as the update
manager dialog prompts you for? I think there is a bug that disallows that, though not sure its
symptoms are the same as yours -- see
103064 Problems with WST and/or EMF installed in non-standard location
https://bugs.eclipse.org/bugs/show_bug.cgi?id=103064

Plus ... things go much easier (much less installed) if 'select required' is used (instead of picking
all EMF, GEF, and JEM -- in fact, that is the only path I have tested since the other full path is still
downloading! :(  

so  ... I think the "instructions" should add add a step and two cautions.


= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Click on menu Help > Software Updates > Find and Install... > Search for new features to install > Next.
Check the Eclipse.org update site checkbox > Finish.

Pick a mirror > OK.
 (Note: not all mirrors have WTP or all its required features).

Expand the Eclipse.org update site node > check the WTP 0.7 checkbox


Next, click the "Select Required" button to select (the minimum) pre-req features required by WTP, which are not
already installed.
> Finish.  (Note: for version 0.7, allow WTP and pre-reqs to be installed to the default location, due to bug number 103064).
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =


Ed, it this still doesn't work for you ... you might test without the 'subversion'  plugin.
(you have to admit ... with a name like that ... it will always be a suspect :)

Other's "test results" and improved instructions would be very welcome.






"Ed Burnette" <Ed.Burnette@xxxxxxx>
Sent by: wtp-dev-bounces@xxxxxxxxxxx

08/10/2005 11:07 PM

Please respond to
"General discussion of project-wide or architectural issues."

To
"General discussion of project-wide or architectural issues." <wtp-dev@xxxxxxxxxxx>
cc
Subject
RE: [wtp-dev] WTP has been added to the Eclipse main update site





Jeff,
I tried to follow your directions and got an error that WTP 0.7 required org.eclipse.emf.common.
So I installed EMF, GEF, and JEM and tried again. Then it gives me an error that the Web Standard Tools Feature (0.7.0) requires plug-in org.eclipse.emf.importer.java . The Error Details box is grayed out. However I see that plug-in when I do Help > About Eclipse SDK > Plug-in Details. It says the plug-in is version 2.1.0.
 
If I click on Filter features included on other features on the list, I get several exceptions in the Error log like:
 
Error 2005-08-10 22:45:00.162 Problems occurred when invoking code from plug-in: "org.eclipse.jface".
java.lang.NullPointerException

[....]
 
Is anybody else seeing this? This was a pretty basic install of the Eclipse SDK 3.1 on Windows except I had a Subversion plug-in installed (subclipse).
 


From: wtp-dev-bounces@xxxxxxxxxxx [mailto:wtp-dev-bounces@xxxxxxxxxxx] On Behalf Of Jeffrey Liu
Sent:
Wednesday, August 10, 2005 3:05 PM
To:
wtp-dev@xxxxxxxxxxx
Subject:
[wtp-dev] WTP has been added to the Eclipse main update site



FYI,


WTP 0.7 has been added to the Eclipse main update site. To use it...


Click on menu Help > Software Updates > Find and Install... > Search for new features to install > Next.

Check the Eclipse.org update site checkbox > Finish.

Pick a mirror > OK.

Expand the Eclipse.org update site node > check the WTP 0.7 checkbox > Finish.




Thanks,


Jeff
_______________________________________________
wtp-dev mailing list
wtp-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/wtp-dev